<?php
	
	declare(strict_types=1);
	
	/**
	 * User: Daschmi (daschmi@daschmi.de)
	 * Date: 20.02.2020
	 * Time: 15:46
	 */ 
    
    namespace dywc;
    
    abstract class Actions {

    	public static function admin_menu() : void {
    	
			\add_options_page(__('DoYouWantCookies'), __('DoYouWantCookies'), 'manage_options', 'dywc_settings', ['dywc\Settings', 'form']);
			
		}
		
		public static function admin_enqueue_scripts() : void {
			
			\wp_enqueue_script('jsoneditor-js', \plugin_dir_url('do-you-want-cookies/wp_dywc.php').'/lib/jsoneditor.min.js');
			\wp_enqueue_script('jsoneditor-ace-js', \plugin_dir_url('do-you-want-cookies/wp_dywc.php').'/lib/ace.min.js');
			    		
		}
		
		public static function wp_enqueue_scripts() : void {
			
			\wp_enqueue_script('djwc-js', \plugin_dir_url('do-you-want-cookies/wp_dywc.php').'/assets/js/dywc.js', [], false, true);
    		
		}
		
		public static function wp_footer() : void {
			
    		$view = [];
    		
    		$settings = \get_option('dywc_json');
    		     		
    		if (is_array($settings)) $view['settings'] = $settings;
    		
			echo Renderer::render('dywc.phtml', $view);
			
		}
		
		public static function wp_head() : void {
			
			\wp_enqueue_style('djwc-css', \plugin_dir_url('do-you-want-cookies/wp_dywc.php').'assets/css/dywc.css', [], '', 'screen, projection');
    		
		}
    	
	}