<?php
	
	declare(strict_types=1);
	
	/**
	 * Plugin Name: Do You Want Cookies
	 * Plugin URI: https://daschmi.de/do-you-want-a-cookie-cookie-opt-in-script/
	 * Description: Plugin zur datenschutkonformen Verwendung von Cookies 
	 * Author: Daniel Schmitzer (daschmi@daschmi.de)
	 * Version: 1.1
	 * Author URI: https://daschmi.de/
	 */
	
	namespace dywc;
	
	require_once dirname(__FILE__).'/classes/Plugin.class.php';
	 
	Plugin::$root = dirname(__FILE__).'/';
	
	spl_autoload_register(function($class_name) {
		
		$arPath = explode('\\', $class_name);
		
		if ($arPath[0] === 'dywc') {
			
			if (file_exists(Plugin::$root.'classes/'.ucfirst($arPath[1]).'.class.php')) {
				
				require_once(Plugin::$root.'classes/'.ucfirst($arPath[1]).'.class.php');
				return;
				
			}
			
		}
		
	});
	
	\add_action('admin_menu', ['dywc\Actions', 'admin_menu']);
	\add_action('admin_enqueue_scripts', ['dywc\Actions', 'admin_enqueue_scripts']);
	
	\add_action('wp_footer', ['dywc\Actions', 'wp_footer']);
	\add_action('wp_enqueue_scripts', ['dywc\Actions', 'wp_enqueue_scripts']);
	\add_action('wp_head', ['dywc\Actions', 'wp_head']);
	
	\add_shortcode('cookieinfo', ['dywc\Shortcodes', 'cookieinfo']);

    
    